package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.hire;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 名片定制 请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAHireRespVO extends BpmOABaseRespVO {

    @Schema(description = "申请事由", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "申请事由不能为空")
    private String reason;

    @Schema(description = "需求部门编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "需求部门编号不能为空")
    private Long demandDeptId;

    @Schema(description = "需求岗位编号")
    @NotNull(message = "需求岗位编号不能为空")
    private Long demandPositionId;

    @Schema(description = "招聘性质 | 字典值", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer type;

    @Schema(description = "流程实例编号")
    private String processInstanceId;

    @Schema(description = "状态-参见 bpm_process_instance_result 枚举", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer result;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private List<UploadUserFile> fileItems;
}
